## org.flexdock.docking.drag.outline.xlib
Class XlibRubberBand

    java.lang.Object
      org.flexdock.docking.drag.effects.RubberBand
          org.flexdock.docking.drag.outline.xlib.XlibRubberBand

    public class XlibRubberBand

extends RubberBand

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.docking.drag.effects.RubberBand
`DEBUG_OUTPUT`

Constructor Summary
`XlibRubberBand()`

Method Summary
`void` `clear()`
`void` `paint(java.awt.Graphics g, java.awt.Rectangle r)`

Methods inherited from class org.flexdock.docking.drag.effects.RubberBand
`paint, paint, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlibRubberBand

    public XlibRubberBand()

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      java.awt.Rectangle r)

  Overrides:
    `paint` in class `RubberBand`

### clear

    public void clear()

  Overrides:
    `clear` in class `RubberBand`